package com.goafanti.order.bo;

import com.goafanti.common.enums.OfficialPatentType;
import com.goafanti.common.utils.StringUtils;

import java.math.BigDecimal;

public class TOrderTaskDetailBo {
	private Integer id;
	private String taskName;
	private String orderNo;
	private String userName;
	private String cname;
	private Integer sort;
	private String taskReceiver;
	private String receiverName;
	private Integer projectStatus;
	private Integer taskStatus;
	private String taskDate;
	private String taskComment;
	private String attachmentUrl;
	private String salesmanName;
	private String startDate;
	private String endDate;
	private String acceptDate;
	private String reviewDate;
	private String publicityDate;
	private String licenceDate;
	private String contacts;
	private String contactMobile;
	private String legalPerson;
	private String legalPersonTel;
	private String certificateNumber;
	private String contractNo;
	private String depName;
	private BigDecimal setUpAmount;
	private Integer arrivalMoney;
	private Integer locationProvince;
	private Integer locationCity;
	private Integer locationArea;
	private String postalAddress;
	private Integer declarationBatch;
	private Integer ifCertificationFee;
	private Integer deleteSign;
	private Integer scoreStatus;
	private String certificationCorporate;
	private BigDecimal certificationFee;

	/**
	 * 任务状态
	 */
	private Integer status;
	/**
	 * 满意度表格回收
	 */
	private Integer formRetrieve;
	/**
	 * 回收详情
	 */
	private String retrieveContent;
	/**
	 * 任务退单
	 */
	private Integer taskRefund;
	/**
	 * 退单详情
	 */
	private String refundContent;
	/**
	 * 申报账号
	 */
	private String declareUser;
	/**
	 * 申报密码
	 */
	private String declarePwd;
	/**
	 * 外包公司名称
	 */
	private String outsourceName;
	/**
	 * 外包价格
	 */
	private String outsourcePrice;


	private Integer splitStatus;
	private String splitSuper;
	private Integer splitId;
	/**
	 * 项目分类
	 */
	private Integer bpType;

	/** 官费 */
	private Integer officialCost;
	/** 费减 */
	private Integer costReduction;

	private Integer setUpStatus;
	private String setUpTime;
	private Integer spotCheckStatus;
	private Integer highTechStatus;

	private Integer urgentDay;
	private Integer ifMaterial;
	private String specialComment;
	private Integer rejectCount;

	private Integer certificatesCount;
	private Integer authorizeCount;
	private Integer endCount;
	private Integer acceptCount;
	private BigDecimal commodityPrice;
	private Integer	commodityQuantity;
	private String timeRecord;

	private Integer	checkStatus;

	private Integer patentType;

	@SuppressWarnings("unused")
	private String patentTypeName;

	private Integer patentTransfer;
	private Integer processStatus;
	private String commodityId;

	private Integer satisfactionDegree;
	private String satisfactionDegreeUrl;

	public Integer getScoreStatus() {
		return scoreStatus;
	}

	public void setScoreStatus(Integer scoreStatus) {
		this.scoreStatus = scoreStatus;
	}

	public Integer getSatisfactionDegree() {
		return satisfactionDegree;
	}

	public void setSatisfactionDegree(Integer satisfactionDegree) {
		this.satisfactionDegree = satisfactionDegree;
	}

	public String getSatisfactionDegreeUrl() {
		return satisfactionDegreeUrl;
	}

	public void setSatisfactionDegreeUrl(String satisfactionDegreeUrl) {
		this.satisfactionDegreeUrl = satisfactionDegreeUrl;
	}

	public Integer getDeleteSign() {
		return deleteSign;
	}

	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}

	public String getCommodityId() {
		return commodityId;
	}

	public void setCommodityId(String commodityId) {
		this.commodityId = commodityId;
	}

	public Integer getProcessStatus() {
		return processStatus;
	}

	public void setProcessStatus(Integer processStatus) {
		this.processStatus = processStatus;
	}

	public Integer getPatentTransfer() {
		return patentTransfer;
	}

	public void setPatentTransfer(Integer patentTransfer) {
		this.patentTransfer = patentTransfer;
	}

	public Integer getCertificatesCount() {
		return certificatesCount;
	}
	public void setCertificatesCount(Integer certificatesCount) {
		this.certificatesCount = certificatesCount;
	}
	public Integer getAuthorizeCount() {
		return authorizeCount;
	}
	public void setAuthorizeCount(Integer authorizeCount) {
		this.authorizeCount = authorizeCount;
	}
	public Integer getEndCount() {
		return endCount;
	}
	public void setEndCount(Integer endCount) {
		this.endCount = endCount;
	}
	public Integer getAcceptCount() {
		return acceptCount;
	}
	public void setAcceptCount(Integer acceptCount) {
		this.acceptCount = acceptCount;
	}
	public Integer getSetUpStatus() {
		return setUpStatus;
	}
	public void setSetUpStatus(Integer setUpStatus) {
		this.setUpStatus = setUpStatus;
	}
	public String getSetUpTime() {
		return setUpTime;
	}
	public void setSetUpTime(String setUpTime) {
		this.setUpTime = setUpTime;
	}
	public Integer getSpotCheckStatus() {
		return spotCheckStatus;
	}
	public void setSpotCheckStatus(Integer spotCheckStatus) {
		this.spotCheckStatus = spotCheckStatus;
	}
	public Integer getHighTechStatus() {
		return highTechStatus;
	}
	public void setHighTechStatus(Integer highTechStatus) {
		this.highTechStatus = highTechStatus;
	}
	public Integer getUrgentDay() {
		return urgentDay;
	}
	public void setUrgentDay(Integer urgentDay) {
		this.urgentDay = urgentDay;
	}
	public Integer getIfMaterial() {
		return ifMaterial;
	}
	public void setIfMaterial(Integer ifMaterial) {
		this.ifMaterial = ifMaterial;
	}
	public Integer getRejectCount() {
		return rejectCount;
	}
	public void setRejectCount(Integer rejectCount) {
		this.rejectCount = rejectCount;
	}

	public Integer getSplitStatus() {
		return splitStatus;
	}
	public void setSplitStatus(Integer splitStatus) {
		this.splitStatus = splitStatus;
	}
	public String getSplitSuper() {
		return splitSuper;
	}
	public void setSplitSuper(String splitSuper) {
		this.splitSuper = splitSuper;
	}
	public Integer getSplitId() {
		return splitId;
	}
	public void setSplitId(Integer splitId) {
		this.splitId = splitId;
	}
	public String getOutsourceName() {
		return outsourceName;
	}
	public void setOutsourceName(String outsourceName) {
		this.outsourceName = outsourceName;
	}
	public String getOutsourcePrice() {
		return outsourcePrice;
	}
	public void setOutsourcePrice(String outsourcePrice) {
		if(StringUtils.isNotBlank(outsourcePrice))this.outsourcePrice = outsourcePrice;
	}
	public Integer getLocationProvince() {
		return locationProvince;
	}
	public void setLocationProvince(Integer locationProvince) {
		this.locationProvince = locationProvince;
	}
	public Integer getLocationCity() {
		return locationCity;
	}
	public void setLocationCity(Integer locationCity) {
		this.locationCity = locationCity;
	}
	public Integer getLocationArea() {
		return locationArea;
	}
	public void setLocationArea(Integer locationArea) {
		this.locationArea = locationArea;
	}
	public String getPostalAddress() {
		return postalAddress;
	}
	public void setPostalAddress(String postalAddress) {
		this.postalAddress = postalAddress;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Integer getFormRetrieve() {
		return formRetrieve;
	}
	public void setFormRetrieve(Integer formRetrieve) {
		this.formRetrieve = formRetrieve;
	}
	public Integer getTaskRefund() {
		return taskRefund;
	}
	public void setTaskRefund(Integer taskRefund) {
		this.taskRefund = taskRefund;
	}
	public String getRefundContent() {
		return refundContent;
	}
	public void setRefundContent(String refundContent) {
		this.refundContent = refundContent;
	}
	public String getDeclareUser() {
		return declareUser;
	}
	public void setDeclareUser(String declareUser) {
		this.declareUser = declareUser;
	}
	public String getDeclarePwd() {
		return declarePwd;
	}
	public void setDeclarePwd(String declarePwd) {
		this.declarePwd = declarePwd;
	}
	public String getTaskComment() {
		return taskComment;
	}
	public void setTaskComment(String taskComment) {
		this.taskComment = taskComment;
	}
	public String getContacts() {
		return contacts;
	}
	public void setContacts(String contacts) {
		this.contacts = contacts;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getStartDate() {
		return startDate;
	}
	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	public String getAcceptDate() {
		return acceptDate;
	}
	public void setAcceptDate(String acceptDate) {
		this.acceptDate = acceptDate;
	}
	public String getReviewDate() {
		return reviewDate;
	}
	public void setReviewDate(String reviewDate) {
		this.reviewDate = reviewDate;
	}
	public String getPublicityDate() {
		return publicityDate;
	}
	public void setPublicityDate(String publicityDate) {
		this.publicityDate = publicityDate;
	}
	public String getLicenceDate() {
		return licenceDate;
	}
	public void setLicenceDate(String licenceDate) {
		this.licenceDate = licenceDate;
	}
	public String getContactMobile() {
		return contactMobile;
	}
	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getTaskName() {
		return taskName;
	}
	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public String getReceiverName() {
		return receiverName;
	}
	public void setReceiverName(String receiverName) {
		this.receiverName = receiverName;
	}
	public Integer getProjectStatus() {
		return projectStatus;
	}
	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}
	public Integer getTaskStatus() {
		return taskStatus;
	}
	public void setTaskStatus(Integer taskStatus) {
		this.taskStatus = taskStatus;
	}
	public String getTaskDate() {
		return taskDate;
	}
	public void setTaskDate(String taskDate) {
		this.taskDate = taskDate;
	}

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getAttachmentUrl() {
		return attachmentUrl;
	}
	public void setAttachmentUrl(String attachmentUrl) {
		this.attachmentUrl = attachmentUrl;
	}
	public String getLegalPerson() {
		return legalPerson;
	}
	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}
	public String getLegalPersonTel() {
		return legalPersonTel;
	}
	public void setLegalPersonTel(String legalPersonTel) {
		this.legalPersonTel = legalPersonTel;
	}
	public String getCertificateNumber() {
		return certificateNumber;
	}
	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public BigDecimal getSetUpAmount() {
		return setUpAmount;
	}
	public void setSetUpAmount(BigDecimal setUpAmount) {
		this.setUpAmount = setUpAmount;
	}
	public Integer getArrivalMoney() {
		return arrivalMoney;
	}
	public void setArrivalMoney(Integer arrivalMoney) {
		this.arrivalMoney = arrivalMoney;
	}
	public String getRetrieveContent() {
		return retrieveContent;
	}
	public void setRetrieveContent(String retrieveContent) {
		this.retrieveContent = retrieveContent;
	}
	public String getTaskReceiver() {
		return taskReceiver;
	}
	public void setTaskReceiver(String taskReceiver) {
		this.taskReceiver = taskReceiver;
	}
	public Integer getDeclarationBatch() {
		return declarationBatch;
	}
	public void setDeclarationBatch(Integer declarationBatch) {
		this.declarationBatch = declarationBatch;
	}
	public Integer getBpType() {
		return bpType;
	}
	public void setBpType(Integer bpType) {
		this.bpType = bpType;
	}
	public Integer getOfficialCost() {
		return officialCost;
	}
	public void setOfficialCost(Integer officialCost) {
		this.officialCost = officialCost;
	}
	public Integer getCostReduction() {
		return costReduction;
	}
	public void setCostReduction(Integer costReduction) {
		this.costReduction = costReduction;
	}
	public String getSpecialComment() {
		return specialComment;
	}
	public void setSpecialComment(String specialComment) {
		this.specialComment = specialComment;
	}
	public BigDecimal getCommodityPrice() {
		return commodityPrice;
	}
	public void setCommodityPrice(BigDecimal commodityPrice) {
		this.commodityPrice = commodityPrice;
	}
	public Integer getCommodityQuantity() {
		return commodityQuantity;
	}
	public void setCommodityQuantity(Integer commodityQuantity) {
		this.commodityQuantity = commodityQuantity;
	}
	public Integer getSort() {
		return sort;
	}
	public void setSort(Integer sort) {
		this.sort = sort;
	}
	public Integer getIfCertificationFee() {
		return ifCertificationFee;
	}
	public void setIfCertificationFee(Integer ifCertificationFee) {
		this.ifCertificationFee = ifCertificationFee;
	}
	public String getCertificationCorporate() {
		return certificationCorporate;
	}
	public void setCertificationCorporate(String certificationCorporate) {
		this.certificationCorporate = certificationCorporate;
	}
	public BigDecimal getCertificationFee() {
		return certificationFee;
	}
	public void setCertificationFee(BigDecimal certificationFee) {
		this.certificationFee = certificationFee;
	}
	public String getTimeRecord() {
		return timeRecord;
	}
	public void setTimeRecord(String timeRecord) {
		this.timeRecord = timeRecord;
	}
	public Integer getCheckStatus() {
		return checkStatus;
	}
	public void setCheckStatus(Integer checkStatus) {
		this.checkStatus = checkStatus;
	}
	public Integer getPatentType() {
		return patentType;
	}
	public void setPatentType(Integer patentType) {
		this.patentType = patentType;
	}

	public String getPatentTypeName() {
		if (getPatentType()!=null) {
			return OfficialPatentType.getValueByCode(getPatentType());
		}
		return "";
	}
	public void setPatentTypeName(String patentTypeName) {
		this.patentTypeName = patentTypeName;
	}
}
